#!/bin/sh
#strparam=`echo $QUERY_STRING | sed 's/=/ /g'`

#echo -ne "Content-type: text/plain\r\n"
#echo -ne "Content-length:32\r\n"
#echo -ne "\r\n" # end of HTTP header

/usr/bin/logger -p info "Stitching Cut test"

#Store camera parameters:
videoin_text=$(confclient -p 9 -g videoin_c0_text| sed 's/videoin_c0_text=//g') 
lens_alignment=$(confclient -p 9 -g image_c0_lens_alignment| sed 's/image_c0_lens_alignment=//g')
videoin_print=$(confclient -p 9 -g videoin_c0_imprinttimestamp| sed 's/videoin_c0_imprinttimestamp=//g') 

#Initial mode (deafult setting)
confclient -p 9 -s videoin_c0_text=MS-'Initial config'
confclient -p 9 -s videoin_c0_imprinttimestamp=1
sleep 1
/usr/bin/wget -O files/initial_mode.jpg 'http://127.0.0.1/cgi-bin/viewer/video.jpg'
/usr/bin/wget -O img/initial_mode.jpg 'http://127.0.0.1/cgi-bin/viewer/video.jpg'
sleep 5

#Set stitching to far 
confclient -p 9 -s videoin_c0_text=MS-'Far config'
confclient -p 9 -s image_c0_lens_alignment=100
confclient -p 9 -s videoin_c0_imprinttimestamp=1
sleep 1
/usr/bin/wget -O files/far_mode.jpg 'http://127.0.0.1/cgi-bin/viewer/video.jpg'
/usr/bin/wget -O img/far_mode.jpg 'http://127.0.0.1/cgi-bin/viewer/video.jpg'
sleep 5

#Set stitching to near 
confclient -p 9 -s videoin_c0_text=MS-'Near config'
confclient -p 9 -s image_c0_lens_alignment=0
confclient -p 9 -s videoin_c0_imprinttimestamp=1
sleep 1
/usr/bin/wget -O files/near_mode.jpg 'http://127.0.0.1/cgi-bin/viewer/video.jpg'
/usr/bin/wget -O img/near_mode.jpg 'http://127.0.0.1/cgi-bin/viewer/video.jpg'
sleep 5


#Go back to default settings
confclient -p 9 -s videoin_c0_text=$videoin_text
confclient -p 9 -s videoin_c0_imprinttimestamp=$videoin_print
confclient -p 9 -s image_c0_lens_alignment=$lens_alignment
sleep 1

#cp files/night_mode_nobw.jpg ../www/img
#cp files/day_mode.jpg ../www/img

wget http://127.0.0.1/cgi-bin/admin/showlog.cgi?type=configset -O config_log.txt
sleep 1

tar zcf ms_stitching_test_report.tar.gz files
cp ms_stitching_test_report.tar.gz ../www/files
sleep 5
cp -r img/. ../www/img
rm ms_stitching_test_report.tar.gz


/usr/bin/logger -p info "Test finished"

#echo strparam
#echo $strparam

